package com.fs.qywx.service;

import java.util.List;
import com.fs.qywx.domain.QywxUser;
import org.apache.ibatis.annotations.Param;

/**
 * 企业微信三方应用授权人员Service接口
 *
 * @author fs
 * @date 2023-07-24
 */
public interface IQywxUserService
{
    /**
     * 查询企业微信三方应用授权人员
     *
     * @param id 企业微信三方应用授权人员主键
     * @return 企业微信三方应用授权人员
     */
    public QywxUser selectQywxUserById(Integer id);

    /**
     * 查询企业微信三方应用授权人员列表
     *
     * @param qywxUser 企业微信三方应用授权人员
     * @return 企业微信三方应用授权人员集合
     */
    public List<QywxUser> selectQywxUserList(QywxUser qywxUser);

    /**
     * 新增企业微信三方应用授权人员
     *
     * @param qywxUser 企业微信三方应用授权人员
     * @return 结果
     */
    public int insertQywxUser(QywxUser qywxUser);

    /**
     * 修改企业微信三方应用授权人员
     *
     * @param qywxUser 企业微信三方应用授权人员
     * @return 结果
     */
    public int updateQywxUser(QywxUser qywxUser);

    /**
     * 批量删除企业微信三方应用授权人员
     *
     * @param ids 需要删除的企业微信三方应用授权人员主键集合
     * @return 结果
     */
    public int deleteQywxUserByIds(Integer[] ids);

    /**
     * 删除企业微信三方应用授权人员信息
     *
     * @param id 企业微信三方应用授权人员主键
     * @return 结果
     */
    public int deleteQywxUserById(Integer id);

    int deleteQywxUserByCorpIdAndCorpId(String authCorpId, String userID);

    int updateQywxUserCompanyIdAndUserIdByCorpId(Long companyId,Long companyUserId,String corpId);

    int updateQywxUserByUserIdAndCorpId(QywxUser q);
}
